common/models/DeliveryDoc.php
<?php

namespace common\models;

use yii\db\ActiveRecord;

class DeliveryDoc extends ActiveRecord
{
    public static function tableName()
    {
        return '{{%delivery_doc}}';
    }

    public function attributeLabels()
    {
        return [
            'doc_id' => 'ID',
            'numdoc_1c' => '№ документа из 1С',
            'sum' => 'Сумма с НДС',
            'delivery_date' => 'Дата доставки',
            'time_range' => 'Временной диапазон',
        ];
    }

    public function getFactory()
    {
        return $this->hasOne(Factory::className(), ['id' => 'factory_id']);
    }

    public function getArea()
    {
        return $this->hasOne(Area::className(), ['id' => 'area_id']);
    }

    public function getTransportCompany()
    {
        return $this->hasOne(TransportCompany::className(), ['id' => 'transport_company_id']);
    }

    public function getClient()
    {
        return $this->hasOne(Client::className(), ['client_id' => 'client_id']);
    }

    public function getStatusDelivery()
    {
        return $this->hasOne(StatusDelivery::className(), ['id' => 'status_delivery_id']);
    }

    public function getDeliverySurvey()
    {
        return $this->hasOne(Survey::className(), ['doc_id' => 'doc_id']);
    }

}

common/models/Log.php
<?php


namespace common\models;

use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;

class Log extends ActiveRecord
{

    const TYPE_RETAIL = 1;
    const TYPE_DELIVERY = 2;
    const TYPE_B2B = 3;
    const TYPE_ASC = 4;

    public static $statuses = [
        Survey::STATUS_GM_TAKEN => 'Взял в работу',
        Survey::STATUS_GM_CLOSED => 'Закрыл Алерт',
        Survey::STATUS_BF_CLOSED => 'Алерт принят',
        Survey::STATUS_BF_REVISION => 'Алерт на доработку',
        //todo доделать логирование по другим статусам при необходимости
    ];

    public static function tableName()
    {
        return '{{log}}';
    }

    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'attributes' => [
                    ActiveRecord::EVENT_BEFORE_INSERT => ['created_at', 'updated_at'],
                    ActiveRecord::EVENT_BEFORE_UPDATE => ['updated_at'],
                ],
//                // если вместо метки времени UNIX используется datetime:
//                'value' => new Expression('NOW()'),
            ],
        ];
    }

    public function rules()
    {
        return [
            [['type_id', 'survey_id'], 'required'],
            [['type_id', 'survey_id', 'user_id', 'status'], 'integer'],
            [['user_id', 'comment', 'status', 'created_at', 'updated_at'], 'safe'],
        ];
    }

    public function attributeLabels()
    {
        return [
        ];
    }

    public function getUser()
    {
        return $this->hasOne(User::className(), ['id' => 'user_id']);
    }

}

common/models/Survey.php
<?php


namespace common\models;

use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;
use Yii;

class Survey extends ActiveRecord
{
    //GM - директор ГиперМаркета
    //BF - директор группы Больших Форматов
    //RMKS - Региональный Менеджер по Клиентским Сервисам

    const STATUS_INIT = 0; //any new survey
    const STATUS_NEW = 10; //from this till the closed - has alert

    const STATUS_GM_EXPIRED = 20;
    const STATUS_GM_TAKEN = 30;
    const STATUS_GM_CLOSED = 40;

    const STATUS_BF_REVISION = 50;
    const STATUS_BF_CLOSED = 60;

    const STATUS_CLASSES = [
        self::STATUS_INIT => 'SurveyStatusInit',
        self::STATUS_NEW => 'SurveyStatusNew',
        self::STATUS_GM_EXPIRED => 'SurveyStatusGMExpired',
        self::STATUS_GM_TAKEN => 'SurveyStatusGMTaken',
        self::STATUS_GM_CLOSED => 'SurveyStatusGMClosed',
        self::STATUS_BF_REVISION => 'SurveyStatusBFRevision',
        self::STATUS_BF_CLOSED => 'SurveyStatusBFClosed',
    ];

    const BAD_NPS = [0, 1, 2, 3];
    const PASSIVE_NPS = [4];
    const GOOD_NPS = [5];

    public static $surveys = [
        SurveyType::CASH => [
            1 => 'Оцените доброжелательность кассира',
            2 => 'Оцените скорость облуживания на кассе',
        ],
        SurveyType::FRUIT => [
            1 => 'Оцените свежесть товаров в Отделе Фрукты и овощи',
            2 => 'Оцените чистоту в Отделе Фрукты и овощи',
        ],
        SurveyType::PROD => [
            1 => 'Оцените качество товаров в отделе Собственного производства',
            2 => 'Оцените ассортимент товаров в отделе Собственного производства',
            3 => 'Оцените доброжелательность продавца в отделе Собственного производства',
        ],
        SurveyType::SERVICE => [
            1 => 'Решили ли сотрудники Ваш вопрос?',
            2 => 'Стремились ли сотрудники помочь Вам?',
        ],
        SurveyType::SHOPPING => [
            1 => 'Оцените дружелюбность и отзывчивость персонала',
            2 => 'Оцените ассортимент в магазине',
            3 => 'Насколько Вы готовы рекомендовать данный магазин?',
        ],
    ];

    public static $statusValues = [
//    const STATUS_INIT = 0; //any new survey
//    const STATUS_NEW = 10; //from this till the closed - has alert
//
//    const STATUS_GM_TAKEN = 20;
//    const STATUS_GM_EXPIRED = 30;
//    const STATUS_GM_CLOSED = 40;
//
//    const STATUS_BF_REVISION = 50;
//    const STATUS_BF_CLOSED = 60;
        Survey::STATUS_INIT => 'Init',
        Survey::STATUS_NEW => 'Новый',
        Survey::STATUS_GM_TAKEN => 'Взят в работу',
        Survey::STATUS_GM_EXPIRED => 'Просрочен',
        Survey::STATUS_GM_CLOSED => 'На подтверждении',
        Survey::STATUS_BF_REVISION => 'Взят в работу',
        Survey::STATUS_BF_CLOSED => 'Закрыт',
    ];

    protected $oldStatus;
    public $imageFiles = [];

    public static function tableName()
    {
        return '{{survey}}';
    }

    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'attributes' => [
                    ActiveRecord::EVENT_BEFORE_INSERT => ['created_at', 'updated_at'],
                    ActiveRecord::EVENT_BEFORE_UPDATE => ['updated_at'],
                ],
//                // если вместо метки времени UNIX используется datetime:
//                'value' => new Expression('NOW()'),
            ],
        ];
    }

    public function rules()
    {
        return [
//            [['client_id', 'doc_id'], 'required'],
            [['survey_id', 'client_id', 'store_id', 'dep_id', 'nps', 'question1', 'question2', 'question3', 'question4'], 'integer'],
            [['survey_id', 'client_id', 'store_id', 'dep_id', 'nps', 'question1', 'question2', 'question3', 'question4',
                'comment', 'status', 'status_updated_at', 'created_at', 'updated_at'], 'safe'],
            [['imageFiles'], 'file', 'skipOnEmpty' => true, 'extensions' => 'png, jpg, jpeg', 'maxFiles' => 4],
        ];
    }

    public function afterFind()
    {
        $this->oldStatus = $this->status;
        return parent::afterFind();
    }

    public function beforeSave($options = [])
    {
        if ($this->status != $this->oldStatus)
            $this->status_updated_at = time();

        return parent::beforeSave($this->isNewRecord);
    }

    public function upload()
    {
        if ($this->validate()) {
            foreach ($this->imageFiles as $file) {
                $path = Yii::getAlias('@frontend') . '/web/uploads/' . $this->survey_id . '_' . $file->baseName . '.' . $file->extension;
                $file->saveAs($path);
                @chmod($path, 0755);
            }
            return true;
        } else {
            return false;
        }
    }

    public function getStore()
    {
        return $this->hasOne(Store::className(), ['id' => 'store_id']);
    }

    public function getDepartment()
    {
        return $this->hasOne(Department::className(), ['id' => 'dep_id']);
    }

    public function getDeliveryDoc()
    {
        return $this->hasOne(DeliveryDoc::className(), ['doc_id' => 'doc_id']);
    }

    public function getClient()
    {
        return $this->hasOne(Client::className(), ['client_id' => 'client_id']);
    }

    public function getLogs()
    {
        return $this->hasMany(Log::className(), ['survey_id' => 'survey_id']);
    }

}

common/models/SurveyType.php
<?php

namespace common\models;

class SurveyType
{
    const CASH = 1;
    const FRUIT = 2;
    const PROD = 3;
    const SERVICE = 4;
    const SHOPPING = 5;

    public static $values = [
        self::CASH => 'cash',
        self::FRUIT => 'fruit',
        self::PROD => 'prod',
        self::SERVICE => 'service',
        self::SHOPPING => 'shopping',
    ];

    public static $valueNames = [
        self::CASH => 'Касса',
        self::FRUIT => 'Фрукты и овощи',
        self::PROD => 'Собственное производство',
        self::SERVICE => 'Сервисная стойка',
        self::SHOPPING => 'Покупательские шкафчики',
    ];
}

common/models/User.php
<?php

namespace common\models;

use Yii;
use yii\base\NotSupportedException;
use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;
use yii\web\IdentityInterface;

/**
 * User model
 *
 * @property integer $id
 * @property string $username
 * @property string $password_hash
 * @property string $password_reset_token
 * @property string $verification_token
 * @property string $email
 * @property string $auth_key
 * @property integer $status
 * @property integer $created_at
 * @property integer $updated_at
 * @property string $password write-only password
 */
class User extends ActiveRecord implements IdentityInterface
{
    const STATUS_DELETED = 0;
    const STATUS_INACTIVE = 9;
    const STATUS_ACTIVE = 10;

    const ROLE_GM = 1;
    const ROLE_BF = 2;
    const ROLE_RMKS = 3;
    const ROLE_OPER_BF = 4;
    const ROLE_SPEC_OFFICE = 5;
    const ROLE_SPEC_MANAG = 6;
    const ROLE_SPEC_HEAD = 7;

    public static $access = [
        self::ROLE_GM => 'Директор гипермаркета',
        self::ROLE_BF => 'Директор группы больших форматов (БФ)',
        self::ROLE_RMKS => 'Региональный менеджер по клиентским сервисам (РМКС)',
        self::ROLE_OPER_BF => 'Операционный директор округа БФ',
        self::ROLE_SPEC_OFFICE => 'Специалист Офис',
        self::ROLE_SPEC_MANAG => 'Менеджер Офис',
        self::ROLE_SPEC_HEAD => 'Руководитель направления Офис',
    ];

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return '{{%user}}';
    }

    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            TimestampBehavior::className(),
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['username', 'email'], 'required'],
            [['surname_name', 'access', 'phone', 'area_id', 'store_id', 'created_at', 'updated_at'], 'safe'],
            [['status', 'area_id', 'store_id'], 'integer'],
            [['username', 'password_hash', 'verification_token', 'password_reset_token', 'email'], 'string', 'max' => 255],
            [['auth_key'], 'string', 'max' => 32],
            [['username'], 'unique'],
            [['email'], 'unique'],
            ['status', 'default', 'value' => self::STATUS_ACTIVE],
            ['status', 'in', 'range' => [self::STATUS_ACTIVE, self::STATUS_INACTIVE, self::STATUS_DELETED]],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public static function findIdentity($id)
    {
        return static::findOne(['id' => $id, 'status' => self::STATUS_ACTIVE]);
    }

    /**
     * {@inheritdoc}
     */
    public static function findIdentityByAccessToken($token, $type = null)
    {
        throw new NotSupportedException('"findIdentityByAccessToken" is not implemented . ');
    }

    /**
     * Finds user by username
     *
     * @param string $username
     * @return static|null
     */
    public static function findByUsername($username)
    {
        return static::findOne(['username' => $username, 'status' => self::STATUS_ACTIVE]);
    }

    /**
     * Finds user by password reset token
     *
     * @param string $token password reset token
     * @return static|null
     */
    public static function findByPasswordResetToken($token)
    {
        if (!static::isPasswordResetTokenValid($token)) {
            return null;
        }

        return static::findOne([
            'password_reset_token' => $token,
            'status' => self::STATUS_ACTIVE,
        ]);
    }

    /**
     * Finds user by verification email token
     *
     * @param string $token verify email token
     * @return static|null
     */
    public static function findByVerificationToken($token)
    {
        return static::findOne([
            'verification_token' => $token,
            'status' => self::STATUS_INACTIVE
        ]);
    }

    /**
     * Finds out if password reset token is valid
     *
     * @param string $token password reset token
     * @return bool
     */
    public static function isPasswordResetTokenValid($token)
    {
        if (empty($token)) {
            return false;
        }

        $timestamp = (int)substr($token, strrpos($token, '_') + 1);
        $expire = Yii::$app->params['user . passwordResetTokenExpire'];
        return $timestamp + $expire >= time();
    }

    /**
     * {@inheritdoc}
     */
    public function getId()
    {
        return $this->getPrimaryKey();
    }

    /**
     * {@inheritdoc}
     */
    public function getAuthKey()
    {
        return $this->auth_key;
    }

    /**
     * {@inheritdoc}
     */
    public function validateAuthKey($authKey)
    {
        return $this->getAuthKey() === $authKey;
    }

    /**
     * Validates password
     *
     * @param string $password password to validate
     * @return bool if password provided is valid for current user
     */
    public function validatePassword($password)
    {
        return Yii::$app->security->validatePassword($password, $this->password_hash);
    }

    /**
     * Generates password hash from password and sets it to the model
     *
     * @param string $password
     */
    public function setPassword($password)
    {
        $this->password_hash = Yii::$app->security->generatePasswordHash($password);
    }

    /**
     * Generates "remember me" authentication key
     */
    public function generateAuthKey()
    {
        $this->auth_key = Yii::$app->security->generateRandomString();
    }

    /**
     * Generates new password reset token
     */
    public function generatePasswordResetToken()
    {
        $this->password_reset_token = Yii::$app->security->generateRandomString() . '_' . time();
    }

    /**
     * Generates new token for email verification
     */
    public function generateEmailVerificationToken()
    {
        $this->verification_token = Yii::$app->security->generateRandomString() . '_' . time();
    }

    /**
     * Removes password reset token
     */
    public function removePasswordResetToken()
    {
        $this->password_reset_token = null;
    }

    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'user_id' => 'ID',
            'username' => 'Логин',
            'email' => 'Электронный адрес',
            'status' => 'Статус',
        ];
    }

    public function can($level)
    {
        $user = Yii::$app->user->getIdentity();
        return in_array($user->id, Yii::$app->authManager->getUserIdsByRole('admin'));
//            || in_array($user->access, User::$levels[$level]);
    }

    public function getArea()
    {
        return $this->hasOne(Area::className(), ['id' => 'area_id']);
    }

    public function getStore()
    {
        return $this->hasOne(Store::className(), ['id' => 'store_id']);
    }
}

backend/views/survey/contact.php
<?php

use yii\helpers\Url;
use yii\helpers\Html;
use yii\bootstrap4\ActiveForm;

?>

<div class="page-wrapper">
    <div class="inner-content">
        <div class="logo">
            <?= Html::img('@web/img/logo.svg', ['alt' => 'magnit-opros']) ?>
        </div>
        <div class="pool-header">
            Ваши контактные
            данные
        </div>
        <div class="form-wrap">
            <?php $form = ActiveForm::begin([
                'id' => 'client-form',
                'options' => ['class' => 'form-valid contact-form'],
            ]); ?>
            <?= $form->field($client, 'surveyId')->hiddenInput(['value' => $surveyId])->label(false); ?>
            <div class="form-group">
                <div class="input-text">
                    <input type="text" name="Client[name]" placeholder="Имя" data-reqired="reqired" class="name-input">
                </div>
                <div class="error-text">
                    Заполните поле
                </div>
            </div>
            <div class="form-group">
                <div class="phone-row">
                    <div class="input-text phone-code">
                        <input type="text" name="Client[phoneCode]" value="+7">
                    </div>
                    <div class="input-text phone-number">
                        <input type="tel" name="Client[phone]" placeholder="Мобильный" class="phone-input"
                               maxlength="11" data-reqired="reqired">
                    </div>
                </div>
                <div class="error-text">
                    Заполните поле
                </div>
            </div>
            <div class="form-group">
                <div class="input-text">
                    <input type="text" name="Client[email]" placeholder="Email" class="email-input"
                           data-reqired="reqired">
                </div>
                <div class="error-text">
                    Заполните поле
                </div>
            </div>
            <div class="form-group">
                <div class="check-row">
                    <input type="checkbox" name="Client[agree]" id="q-5" data-reqired="reqired">
                    <label for="q-5">
                        <div class="check"></div>
                        <span>
                                    Я согласен с правилами пользовательського соглашения
                                </span>
                    </label>
                </div>
            </div>
            <div class="btn-wrap">
                <button class="btn-submit inactive">Отправить</button>
            </div>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>

backend/views/survey/index.php
<?php

use yii\helpers\Url;
use yii\helpers\Html;
use backend\views\widgets\SurveyFilterWidget;
use common\models\Department;
use common\models\Survey;
use yii\widgets\LinkPager;
use common\models\SurveyType;
use yii\helpers\Json;
use yii\widgets\ActiveForm;

?>

<div class="container">
    <div class="header">
        <div class="navbar-aside">
            <div class="mobile-menu btn-aside-menu toggle-sidebar">
                <div class="b-menu">
                    <div class="b-bun b-bun--top"></div>
                    <div class="b-bun b-bun--mid"></div>
                    <div class="b-bun b-bun--bottom"></div>
                </div>
            </div>
        </div>
    </div>
    <?= $this->render('/site/sidebar', [
        'id' => $id,
    ]) ?>
    <div class="content" id="content">
        <div class="page-content">
            <?= SurveyFilterWidget::widget([
                'showAlerts' => true,
                'title' => 'Все анкеты',
                'filters' => $filters,
            ]) ?>
            <div class="search-row">
                <div class="search-wrap">
                    <?php $form = ActiveForm::begin([
                        'id' => 'search-form',
                        'options' => [],
                    ]); ?>
                    <?= $form->field($searchModel, 'createdAt')->hiddenInput(['value' => $filters['createdAt']])->label(false) ?>
                    <?= $form->field($searchModel, 'search')->label(false) ?>
                    <button class="search-submit"></button>
                    <?php ActiveForm::end(); ?>
                </div>
                <?php if (false): ?>
                    <a href="#" class="unload-wrap">
                        <div class="icon">
                        </div>
                        <div class="text">
                            <div class="big-text">
                                Выгрузка
                            </div>
                            <div class="small-text">
                                Скачать файл
                            </div>
                        </div>
                    </a>
                <?php endif ?>

                <?= Html::a('<div class="icon"></div><div class="text"><div class="big-text">Выгрузка</div><div class="small-text">Скачать файл</div></div>',
                    Url::to(['surveys/upload-xlsx']), [
                        'class' => 'unload-wrap',
                        'data-method' => 'post',
                        'data-params' => Json::encode([
                            'Form[createdAt]' => $filters['createdAt'],
                            'Form[storeId]' => $filters['storeId'],
                            'Form[departmentId]' => $filters['departmentId'],
                            'Form[surveyTypeId]' => $filters['surveyTypeId'],
                        ]),
                    ]) ?>

            </div>
            <div class="table-wrap">
                <div class="table-responsive">
                    <table>
                        <thead>
                        <tr>
                            <th>Индикатор<br>Алерта</th>
                            <th>Статус<br>Алерта</th>
                            <th>Номер<br>Алерта</th>
                            <th>Дата<br>опроса</th>
                            <th>Оценка<br></th>
                            <th>Магазин</th>
                            <th>Отдел</th>
                            <th>Опрос</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($surveys as $item): ?>
                            <tr class="<?= in_array($item->nps, Survey::BAD_NPS, true) ? 'alert-row' : '' ?>">
                                <td>
                                    <a href="<?= Url::to(['survey/update', 'survey_id' => $item->survey_id]) ?>">
                                        <?php if (in_array($item->nps, Survey::BAD_NPS, true)): ?>
                                            <div class="alert-label">!ALERT</div>
                                        <?php else: ?>
                                            <div>-</div>
                                        <?php endif; ?>
                                    </a>
                                </td>
                                <td>Новый</td>
                                <td><?= $item->survey_id ?></td>
                                <td><?= date('d.m.Y h:m', $item->created_at) ?></td>
                                <td><?= $item->question1 ?></td>
                                <td><?= $item->store->name ?></td>
                                <td><?= $item->department->name ?></td>
                                <td><?= SurveyType::$valueNames[$item->survey_type_id] ?></td>
                            </tr>
                        <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if (false): ?>
                <div class="pagination-wrap">
                    <ul class="pagination">
                        <li class="prev disabled"><span>Назад</span></li>
                        <li class="active"><a href="#" data-page="0">1</a></li>
                        <li><a href="#" data-page="1">2</a></li>
                        <li><a href="#" data-page="2">3</a></li>
                        <li><a href="#" data-page="3">4</a></li>
                        <li class="next"><a href="#" data-page="1">Далее</a></li>
                    </ul>
                </div>
            <?php endif; ?>
            <div class="pagination-wrap">
                <?= LinkPager::widget([
                    'pagination' => $pages,
                    'prevPageLabel' => 'Назад',
                    'nextPageLabel' => 'Далее',
                ]) ?>
            </div>
        </div>
    </div>
</div>

backend/views/survey/index_.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use backend\views\widgets\SurveyFilterWidget;
use yii\helpers\Url;
use common\models\Survey;
use yii\widgets\LinkPager;
use yii\helpers\Json;

?>

<div class="container">
    <div class="header">
        <div class="navbar-aside">
            <div class="mobile-menu btn-aside-menu toggle-sidebar">
                <div class="b-menu">
                    <div class="b-bun b-bun--top"></div>
                    <div class="b-bun b-bun--mid"></div>
                    <div class="b-bun b-bun--bottom"></div>
                </div>
            </div>
        </div>
    </div>
    <?= $this->render('/site/sidebar', [
        'id' => $id,
    ]) ?>
    <div class="content" id="content">
        <div class="page-content">
            <?= SurveyFilterWidget::widget([
                'showAlerts' => true,
                'title' => 'Опрос по доставке / Все анкеты',
                'filters' => $filters,
            ]) ?>
            <div class="search-row">
                <?php if (false): ?>
                    <button class="">
                        <?= Html::a('Создать', ['delivery-survey/create', 'token' => $token->token], ['class' => '']) ?>
                    </button>
                <?php endif; ?>
                <?php if (in_array(Yii::$app->user->id, Yii::$app->authManager->getUserIdsByRole('admin'))): ?>
                    <?php $form = ActiveForm::begin([
                        'action' => 'delivery-survey/upload',
                        'options' => ['enctype' => 'multipart/form-data'],
                    ]); ?>
                    <?= $form->field($uploadModel, 'xlsxFile')->fileInput() ?>
                    <button type="submit">Загрузить</button>
                    <?php ActiveForm::end() ?>
                    <?= Html::a("<button class=''>Отправить SMS</button>", ['delivery-survey/send-sms']); ?>
                <?php endif; ?>

                <?php if (false): ?>
                    <div class="search-wrap">
                        <form action="#">
                            <input type="text">
                            <button class="search-submit"></button>
                        </form>
                    </div>
                <?php endif; ?>
                <?php if (false): ?>
                    <a href="#" class="unload-wrap">
                        <div class="icon">
                        </div>
                        <div class="text">
                            <div class="big-text">
                                Выгрузка
                            </div>
                            <div class="small-text">
                                Скачать файл
                            </div>
                        </div>
                    </a>
                <?php endif; ?>

                <?= Html::a('<div class="icon"></div><div class="text"><div class="big-text">Выгрузка</div><div class="small-text">Скачать файл</div></div>',
                    ['delivery-survey/upload-xlsx'], [
                        'class' => 'unload-wrap',
                        'data-method' => 'post',
                        'data-params' => Json::encode([
                            'Form[deliveryDate]' => $filters['deliveryDate'],
                            'Form[transportCompanyId]' => $filters['transportCompanyId'],
                            'Form[statusDeliveryId]' => $filters['statusDeliveryId'],
                            'Form[timeRangeName]' => $filters['timeRangeName'],
                            'Form[factoryId]' => $filters['factoryId'],
                            'Form[areaId]' => $filters['areaId'],
                        ]),
                    ]) ?>

            </div>
            <div class="table-wrap">
                <div class="table-responsive">
                    <table>
                        <thead>
                        <tr>
                            <th>Индикатор<br>Алерта</th>
                            <th>Статус<br>Алерта</th>
                            <th>Номер <br>Алерта</th>
                            <th>Дата<br>опроса</th>
                            <th>Оценка <br>NPS</th>
                            <th class="long-col">Дата доставки</th>
                            <th>№ документа<br>CRM</th>
                            <th class="long-col">Статус доставки</th>
                            <th class="long-col">Наименование транспортной<br>компании</th>
                            <th>Временной диапазон<br>доставки</th>
                            <th>Название<br>почтового региона</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($deliverySurveys as $item): ?>
                            <tr class="<?= in_array($item->nps, Survey::BAD_NPS, true) ? 'alert-row' : '' ?>">
                                <td>
                                    <a href="<?= Url::to(['delivery-survey/update', 'survey_id' => $item->survey_id]) ?>">
                                        <?php if (in_array($item->nps, Survey::BAD_NPS, true)): ?>
                                            <div class="alert-label">!ALERT</div>
                                        <?php else: ?>
                                            <div>-</div>
                                        <?php endif; ?>
                                    </a>
                                </td>
                                <td><?= in_array($item->nps, Survey::BAD_NPS, true) ? Survey::$statusValues[$item->status] : '' ?></td>
                                <td><?= in_array($item->nps, Survey::BAD_NPS, true) ? $item->survey_id : '' ?></td>
                                <td><?= date('d.m.Y h:m', $item->created_at) ?></td>
                                <td><?= $item->nps ?></td>
                                <td><?= date('d.m.Y h:m', $item->deliveryDoc->delivery_date) ?></td>
                                <td><?= $item->deliveryDoc->numdoc_crm ?></td>
                                <td><?= $item->deliveryDoc->statusDelivery->name ?></td>
                                <td><?= $item->deliveryDoc->transportCompany->name ?></td>
                                <td><?= $item->deliveryDoc->time_range ?></td>
                                <td><?= $item->deliveryDoc->area->name ?></td>
                            </tr>

                        <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if (false): ?>
                <div class="pagination-wrap">
                    <ul class="pagination">
                        <li class="prev disabled"><span>Назад</span></li>
                        <li class="active"><a href="#" data-page="0">1</a></li>
                        <li><a href="#" data-page="1">2</a></li>
                        <li><a href="#" data-page="2">3</a></li>
                        <li><a href="#" data-page="3">4</a></li>
                        <li class="next"><a href="#" data-page="1">Далее</a></li>
                    </ul>
                </div>
            <?php endif; ?>
            <div class="pagination-wrap">
                <?= LinkPager::widget([
                    'pagination' => $pages,
                ]) ?>
            </div>
        </div>
    </div>
</div>